Skip to main content

facerec_add_person

Create a face recognition person profile.

  • Method: POST
  • Path: /facerec_add_person

Request Body

{
"person_id": "person-001",
"person_display_name": "Alex Carter",
"person_groups": ["employees"],
"person_images": [
{
"image": "<base64 image>",
"file_path": null,
"capture_time": "2025-03-17T22:27:33Z"
}
]
}
FieldTypeDescription
person_idstringStable person identifier.
person_display_namestringDisplay name for the person.
person_groupsstring[]Group IDs to associate with the person.
person_imagesobject[]Images used to build the person profile.
person_images[].imagestringBase64-encoded image. Provide this or file_path.
person_images[].file_pathstringFile path to an image. Provide this or image.
person_images[].capture_timestringCapture time in ISO format.

Success Response

{
"success": true,
"message": "person added",
"data": null
}